Util (Apache Tomcat 9.0.81 API Documentation)

Package org.apache.tomcat.websocket

## Class Util

- java.lang.Object
- - org.apache.tomcat.websocket.Util

-     public class Util
      extends java.lang.Object

  Utility class for internal use only within the `org.apache.tomcat.websocket` package.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Util.DecoderMatch` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Object` | `coerceToType​(java.lang.Class<?> type, java.lang.String value)` |
    `static java.util.List<DecoderEntry>` | `getDecoders​(java.util.List<java.lang.Class<? extends Decoder>> decoderClazzes)` | Deprecated. Will be removed in Tomcat 10.1.x.
    `static java.util.List<DecoderEntry>` | `getDecoders​(java.util.List<java.lang.Class<? extends Decoder>> decoderClazzes, InstanceManager instanceManager)` | Build the list of decoder entries from a set of decoder implementations.
    `static boolean` | `isPrimitive​(java.lang.Class<?> clazz)` |
    `static void` | `parseExtensionHeader​(java.util.List<Extension> extensions, java.lang.String header)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isPrimitive

          public static boolean isPrimitive​(java.lang.Class<?> clazz)

    - #### coerceToType

          public static java.lang.Object coerceToType​(java.lang.Class<?> type,
                                                      java.lang.String value)

    - #### getDecoders

          @Deprecated
          public static java.util.List<DecoderEntry> getDecoders​(java.util.List<java.lang.Class<? extends Decoder>> decoderClazzes)
                                                          throws DeploymentException

      Deprecated.
      Will be removed in Tomcat 10.1.x. Use `getDecoders(List, InstanceManager)`
      Build the list of decoder entries from a set of decoder implementations.
      Parameters:
        `decoderClazzes` - Decoder implementation classes
      Returns:
        List of mappings from target type to associated decoder
      Throws:
        `DeploymentException` - If a provided decoder class is not valid

    - #### getDecoders

          public static java.util.List<DecoderEntry> getDecoders​(java.util.List<java.lang.Class<? extends Decoder>> decoderClazzes,
                                                                 InstanceManager instanceManager)
                                                          throws DeploymentException

      Build the list of decoder entries from a set of decoder implementations.
      Parameters:
        `decoderClazzes` - Decoder implementation classes
        `instanceManager` - Instance manager to use to create Decoder instances
      Returns:
        List of mappings from target type to associated decoder
      Throws:
        `DeploymentException` - If a provided decoder class is not valid

    - #### parseExtensionHeader

          public static void parseExtensionHeader​(java.util.List<Extension> extensions,
                                                  java.lang.String header)